Lee

Management
  • Content count

    3,355
  • Joined

  • Last visited

About Lee

  • Rank
    Project Manager
  • Birthday April 6

Contact Methods

  • MSN
    Lee.p2p@gmail.com
  • Website URL
    http://www.apexdc.net

Profile Information

  • Gender
    Male
  • Location
    England

Previous Fields

  • Favourite DC++ client?
    ApexDC++

Recent Profile Visitors

101,191 profile views
  1. hello staff Apexdc , can insert address   http://dchublist.biz/?do=hublist.xml.bz2   client ApexDc ? ,   Thank you

  2. ApexDC++ 1.6.2 - NMDC exploit fix

    Good to hear. Let us know if you have any features you'd like to see that would improve the usability and we'll look at adding these.
  3. ApexDC++ 1.6.2 - NMDC exploit fix

    If you head over to SourceForge, you'll see an XP slim binary: https://sourceforge.net/projects/apexdc/files/ApexDC%2B%2B/1.6.2/ Unpack this and overwrite the existing exe and pdb files in your installation directory.
  4. ApexDC++ 1.6.2 - NMDC exploit fix

    Popped a note in the first post to highlight this. You're welcome.
  5. We are pleased to announce the immediate availability of 1.6.2. This update fixes an exploit that allowed users to send malicious search requests to a hub, causing a large flood of UDP traffic to a specified IP address. OpenCandy, the recommendation engine behind sponsored programs in the installer, has now been removed. You should no longer be offered any additional software when running the setup file. They were terrible at responding and it wasn't worth the compromise. WIndows XP binaries have been removed from the setup files and are included as a separate download. More information can be found in the forum post. We're looking to include some minor improvements on the next version, so stay tuned for that. Download: ApexDC++ 1.6.2
  6. ApexDC++ Windows User Guide

    Works now.
  7. ApexDC++ 1.6.1 security update

    Not that interesting: we missed it due to our hiatus. Another reason to migrate to the ADC protocol. We'll add the fix in the next version. Thanks for the heads up!
  8. ApexDC++ 1.6.1 security update

    It's been too long since our last version - nearly two years! We're pleased to announce 1.6.1 has been released and is available for immediate download. In this new version, we've focused on updating libs such as OpenSSL 1.0.2h (lots of security fixes), Inno Setup, Boost and MSVC 2015 Update 2. Furthermore, we hope to have finally fixed the connectivity issues with encrypted connections and a rare crash when removing hubs from favourites. We no longer automatically add any hubs to favourites, as this has been removed in 1.6.1. A full list of changes are available on here. As 1.6.0 is so old, we strongly recommend upgrading to 1.6.1 as soon as possible. Download: ApexDC++ 1.6.1 Update: The binary only slim package uploaded to SourceForge seems to have been corrupt, this has now been remedied. It might take some time for the new file to populate on all the mirrors, sorry for any inconvenience this may have caused.
  9. Apex themes

    They're very old indeed.
  10. not able to connect to public hubs

    Hi shady132, This sounds like a firewall issue. Please make sure you allow apexdc in your firewall and try again.
  11. Brief update

    Just a quick update to notify you we have successfully transitioned to DigitalOcean and upgraded our forums to the latest instalment of IPS 4. The server move has already proved to be a positive change in terms of performance and financial costs. We are now running PHP 5.6 and switched over from MySQL to MariaDB to follow the original developers - there's an article on this to bring you up to speed. Although releases have become less frequent, we do plan on catching up with the latest OpenSSL and DC++ security related exploits as soon as we can. Cologic provided an insightful article on some of the changes we're looking to include, alongside that pesky NMDC exploit.
  12. Update URL is broken, points to scam site

    The typo has been fixed. Good spot - this issue was only for roughly 24 hours. Apologies to anyone who may have been redirected as a result.
  13. Access violation

    You said you tried upgrading, but it says 1.5.14. Please can you try run 1.6.0 and provide us with a crash report? Thanks.
  14. full TLS v1.2 support

    Hi synapsenstau,   When you say full TLS 1.2 support, can you give examples of what you feel is missing and relevant? There are security reasons for the "castrated" cipher suite we use; in fact we actually support more ciphers than DC++ at this time, but are looking into following their lead.   Hope this helps.